> For the complete documentation index, see [llms.txt](https://docs.skyone.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skyone.cloud/api-skyone-autosky/api-clientes/ativar-desativar-a-manutencao-programada.md).

# Ativar / Desativar a manutenção programada

Realiza o bloqueio ou desbloqueio programado de um cliente.

É obrigatório especificar todos os campos abaixo quando `schedule_maintenance` for `true`.

```http
PATCH /clients/{cli_uuid}
```

### Parâmetros de Path

| Parâmetro  | Obrigatório | Descrição       |
| ---------- | ----------- | --------------- |
| `cli_uuid` | Sim         | UUID do cliente |

### Body da Requisição

<table><thead><tr><th width="237.66839599609375">Campo</th><th>Tipo</th><th>Obrigatório</th><th>Descrição</th></tr></thead><tbody><tr><td><code>schedule_maintenance</code></td><td>boolean</td><td>Sim</td><td>Ativa/desativa manutenção programada</td></tr><tr><td><code>schedule_maintenance_start</code></td><td>string</td><td>Condicional</td><td>Data/hora de início. Formato: <code>2021-12-01T23:10:00.000-03:00</code></td></tr><tr><td><code>schedule_maintenance_end</code></td><td>string</td><td>Condicional</td><td>Data/hora de encerramento</td></tr><tr><td><code>schedule_maintenance_msg</code></td><td>string</td><td>Condicional</td><td>Mensagem apresentada aos usuários</td></tr><tr><td><code>terminate_sessions</code></td><td>boolean</td><td>Não</td><td>Encerra sessões dos usuários ativos</td></tr></tbody></table>

### Resposta

**Status:** `200 OK`

Retorna o objeto completo do cliente atualizado.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.skyone.cloud/api-skyone-autosky/api-clientes/ativar-desativar-a-manutencao-programada.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
